## GimpColorSelection

GimpColorSelection — Widget for doing a color selection.

## Functions

GtkWidget * | gimp_color_selection_new ()
void | gimp_color_selection_set_show_alpha ()
gboolean | gimp_color_selection_get_show_alpha ()
void | gimp_color_selection_set_color ()
void | gimp_color_selection_get_color ()
void | gimp_color_selection_set_old_color ()
void | gimp_color_selection_get_old_color ()
void | gimp_color_selection_reset ()
void | gimp_color_selection_color_changed ()
void | gimp_color_selection_set_config ()

## Properties

GimpColorConfig * | config | Write

## Signals

void | color-changed | Run First

## Types and Values

| GimpColorSelection

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpColorSelection

## Implemented Interfaces

GimpColorSelection implements AtkImplementor, GtkBuildable and GtkOrientable.

## Description

Widget for doing a color selection.

## Functions

### gimp_color_selection_new ()

    GtkWidget *
    gimp_color_selection_new (void);

Creates a new GimpColorSelection widget.

#### Returns

The new GimpColorSelection widget.

### gimp_color_selection_set_show_alpha ()

    void
    gimp_color_selection_set_show_alpha (GimpColorSelection *selection,
                                         gboolean show_alpha);

Sets the `show_alpha` property of the `selection` widget.

#### Parameters

selection | A GimpColorSelection widget. |
show_alpha | The new `show_alpha` setting. |

### gimp_color_selection_get_show_alpha ()

    gboolean
    gimp_color_selection_get_show_alpha (GimpColorSelection *selection);

Returns the `selection` 's `show_alpha` property.

#### Parameters

selection | A GimpColorSelection widget. |

#### Returns

TRUE if the GimpColorSelection has alpha controls.

### gimp_color_selection_set_color ()

    void
    gimp_color_selection_set_color (GimpColorSelection *selection,
                                    const GimpRGB *color);

Sets the GimpColorSelection's current color to the new `color` .

#### Parameters

selection | A GimpColorSelection widget. |
color | The `color` to set as current color. |

### gimp_color_selection_get_color ()

    void
    gimp_color_selection_get_color (GimpColorSelection *selection,
                                    GimpRGB *color);

This function returns the GimpColorSelection's current color.

#### Parameters

selection | A GimpColorSelection widget. |
color | Return location for the `selection` 's current `color` . |

### gimp_color_selection_set_old_color ()

    void
    gimp_color_selection_set_old_color (GimpColorSelection *selection,
                                        const GimpRGB *color);

Sets the GimpColorSelection's old color.

#### Parameters

selection | A GimpColorSelection widget. |
color | The `color` to set as old color. |

### gimp_color_selection_get_old_color ()

    void
    gimp_color_selection_get_old_color (GimpColorSelection *selection,
                                        GimpRGB *color);

This function returns the GimpColorSelection's old color.

#### Parameters

selection | A GimpColorSelection widget. |
color | Return location for the `selection` 's old `color` . |

### gimp_color_selection_reset ()

    void
    gimp_color_selection_reset (GimpColorSelection *selection);

Sets the GimpColorSelection's current color to its old color.

#### Parameters

selection | A GimpColorSelection widget. |

### gimp_color_selection_color_changed ()

    void
    gimp_color_selection_color_changed (GimpColorSelection *selection);

Emits the "color-changed" signal.

#### Parameters

selection | A GimpColorSelection widget. |

### gimp_color_selection_set_config ()

    void
    gimp_color_selection_set_config (GimpColorSelection *selection,
                                     GimpColorConfig *config);

Sets the color management configuration to use with this color selection.

#### Parameters

selection | A GimpColorSelection widget. |
config | A GimpColorConfig object. |

Since: 2.4

## Types and Values

### GimpColorSelection

    typedef struct _GimpColorSelection GimpColorSelection;

## Property Details

### The `“config”` property

      “config”                   GimpColorConfig *

The color config used by this color selection.

Flags: Write

## Signal Details

### The `“color-changed”` signal

    void
    user_function (GimpColorSelection *gimpcolorselection,
                   gpointer            user_data)

Flags: Run First